"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfig = exports.buildHandler = void 0;
function buildHandler(router) {
    return async (request, context) => {
        context.callbackWaitsForEmptyEventLoop = false;
        const { response } = await router.route(request, context);
        return response;
    };
}
exports.buildHandler = buildHandler;
function getConfig(name) {
    const config = process.env[name];
    if (!config) {
        throw new Error(`Environmental variable ${name} not set`);
    }
    else {
        return config;
    }
}
exports.getConfig = getConfig;
